# Release notes for the Radicle Ambient CI adapter

This file summarizes the user-visible changes to `radicle-ci-ambient`
between releases.

# Version 0.8.0, released 2025-03-26

This release merely updates dependencies to current versions. No user
visible changes.

# Version 0.7.0, released 2025-03-17

This release merely updates dependencies to current versions. No user
visible changes.

# Version 0.6.0, released 2025-03-12

The Ambient project renamed its crate and binary. This release adapts
to the name change. No other user visible changes.


# Version 0.5.0, released 2025-03-04

This release has a breaking change, but it's only visible to other
programs that use the Ambient adapter as a code dependency. It's not
visible to users. However, I need to make a release so that I can make
changes to those other programs, which need the change, and need to
depend on a released version of the Ambient adapter.

# Version 0.4.0, released 2025-02-17

* Undo the changes that created a custom configuration file for
  `ambient-driver`. Instead, let it use the its default configuration
  file on the host. This allows a straightforward way to control the
  resources used by the Ambient adapter.

# Version 0.3.0, released 2025-02-14

* The run log now has a copy of the message that triggered the CI run.

* The HTML run log now correctly escapes the textual data from Ambient.

# Version 0.2.2, released 2025-02-03

* Bug fix: fix the log file location again. Clearly this software
  needs automated tests.

# Version 0.2.1, released 2025-02-03

* Bug fix: each CI run now gets its own log file.

# Version 0.2.0, released 2025-02-03

* Bug fix: the Radicle repository ID is now used as the Ambient
  project name. Previously, the run ID was used, but that meant each
  CI run would start from scratch. This meant it would re-download all
  dependencies, and build from scratch. This was wasteful both in
  terms of time, but also space and bandwidth. Now, each CI run is an
  incremental build.

* `README.md` is no longer empty, but includes instructions for use.

# Version 0.l.0, released 2025-01-10

First release.
